Name:           photocollage
Summary:        Graphical tool to make photo collage posters
Version:        1.4.5
Release:        1
Url:            https://github.com/adrienverge/PhotoCollage

License:        GPL-2.0-only

Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  lib64python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  python3-distutils-extra
BuildRequires:  intltool
BuildRequires:  hicolor-icon-theme
# BuildRequires:  gettext-runtime
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pip

Requires:       python3-pillow
Requires:       python3-cairo
Requires:       python3-gobject
Requires:       python3-six
# Requires:       gettext-runtime
%description
PhotoCollage allows you to create photo collage posters. It assembles
the input photographs it is given to generate a big poster. Photos are
automatically arranged to fill the whole poster, then you can change the
final layout, dimensions, border or swap photos in the generated grid.
Eventually the final poster image can be saved in any size.

%prep
%autosetup -n photocollage-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --root %{buildroot}
%find_lang %{name}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README.rst
%license LICENSE
%{python3_sitelib}/*
%{_bindir}/photocollage
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
